import request from "@/api/request.js";

// 头部信息
/**
 * @param { id } 
 */
export function getGovOrgBasicInfo(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/info/${params.id}`,
        params
    })
}

// 最新动态
/**
 * @param { orgId, cRelated,dynamicsType, currentPage, pageSize } 
 */
export function getGovOrgLatestDynamics(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/dynamics/${params.orgId}`,
        params
    })
}

// 基本信息-关键人物
/**
 * @param { orgId } 
 */
export function getGovOrgKeyPerson(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/person/${params.orgId}`,
        params
    })
}


// 深度挖掘--------------------------------------------------

// 资助企业情况
/**
 * @param { orgId } 
 */
export function getGovOrgCompanyArea(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/field/${params.orgId}`,
        params
    })
}

// 主要科技政策观点
/**
 * @param { orgId } 
 */
export function getGovOrgOpinions(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/keyWord/${params.orgId}`,
        params
    })
}

// 人物关系
/**
 * @param { orgId } 
 */
export function getPersonRelation(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/personRelation/${params.orgId}`,
        params
    })
}

// 对华制裁 ---------------------------------------
// 实体清单新增数量
/**
 * @param { orgId } 
 */
export function getGrowthNum(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/growthNum/${params.orgId}`,
        params
    })
}
// 实体清单新增数量变化趋势
/**
 * @param { orgId } 
 */
export function getGrowthTrend(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/growthTrend/${params.orgId}`,
        params
    })
}
// 实体清单新增企业领域分布
/**
 * @param { orgId } 
 */
export function getEntityListField(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/entityListField/${params.year}/${params.orgId}`,
        params
    })
}
// 232调查单新增数量
/**
 * @param { orgId } 
 */
export function getGrowth232Num(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/growth232Num/${params.orgId}`,
        params
    })
}
// 232调查新增数量变化趋势
/**
 * @param { orgId } 
 */
export function getGrowth232Trend(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/growth232Trend/${params.orgId}`,
        params
    })
}
// 232调查新增企业领域分布
/**
 * @param { orgId } 
 */
export function getSection232Field(params) {
    return request({
        method: 'GET',
        url: `/api/governmentOrg/section232Field/${params.startDate}/${params.orgId}`,
        params
    })
}